document.addEventListener('DOMContentLoaded', () => {
  createStars();
  initializeParallax();
});

function createStars() {
  const nebula = document.querySelector('.nebula-container');
  for (let i = 0; i < 200; i++) {
    const star = document.createElement('div');
    star.className = 'star';
    star.style.cssText = `
      position: absolute;
      width: ${Math.random() * 3}px;
      height: ${Math.random() * 3}px;
      background: white;
      border-radius: 50%;
      left: ${Math.random() * 100}%;
      top: ${Math.random() * 100}%;
      opacity: ${Math.random()};
      animation: twinkle ${Math.random() * 4 + 2}s infinite;
    `;
    nebula.appendChild(star);
  }
}

function initializeParallax() {
  document.addEventListener('mousemove', (e) => {
    const nebula = document.querySelector('.nebula');
    const x = e.clientX / window.innerWidth;
    const y = e.clientY / window.innerHeight;
    
    nebula.style.transform = `translate(${x * 20}px, ${y * 20}px)`;
  });
}

function toggleNebula() {
  const nebula = document.querySelector('.nebula');
  nebula.style.animation = 'none';
  nebula.offsetHeight;
  nebula.style.animation = 'nebula-animation 20s infinite';
}